<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<BearWare.PixlrGadget.Models.ViewModel>" %>
<%@ Import Namespace="EPiServer.Core" %>
<%@ Import Namespace="EPiServer.Shell.Extensions" %>
<%@ Import Namespace="BearWare.PixlrGadget.Views.Gadget" %>

<div>
    <div id="feedbackArea_<%= Model.GadgetId %>">
    <% if (Model.SavedImageMessage != null)
           { %> 
        <div class="epi-feedbackContent pixlrgadget-feedbackArea">
            <span><%= Model.SavedImageMessage %></span>
        </div>
    <% } %>
    </div>
    
    
    <div class="epi-smallPadding epi-formArea pixlrgadget-leftArea">
    <% Html.BeginGadgetForm("Edit"); %>
        <div>
            <label style="display:block;" for="filePath_<%= Model.GadgetId %>"><%= LanguageManager.Instance.Translate("/BearWare/PixlrPlugin/SelectImage")%></label>
            <%= Html.TextBox("FileInfo.FilePath", null, new { @class = "pixlrgadget-size13", id = "filePath_" + Model.GadgetId, @readonly = "readonly" })%>
            <input type="button" value="..." onclick="javascript:SelectImageLink('<%= Model.GadgetId %>')" />
        </div>
        
        <fieldset>
            <legend><%= LanguageManager.Instance.Translate("/BearWare/PixlrPlugin/Advanced") %></legend>        
            <div style="margin-bottom: 0.5em;">
                <%= Html.CheckBox("FileInfo.SaveAsNew", false, new { id = "createAsNew_" + Model.GadgetId })%>
                <label for="createAsNew_<%= Model.GadgetId %>"><%= LanguageManager.Instance.Translate("/BearWare/PixlrPlugin/CreateNewFile")%></label> 
            </div>
            <div>
                <label style="display:block;" for="targetFolder_<%= Model.GadgetId %>"><%= LanguageManager.Instance.Translate("/BearWare/PixlrPlugin/TargetFolder") %></label>
                <%= Html.TextBox("FileInfo.TargetFolder", null, new { @class = "pixlrgadget-size12", id = "targetFolder_" + Model.GadgetId })%>
                <input type="button" value="..." onclick="javascript:SelectFolder('<%= Model.GadgetId %>')" />
            </div>
        </fieldset>
        <div style="text-align: center;">
        <%= Html.AcceptButton(new { value = LanguageManager.Instance.Translate("/BearWare/PixlrPlugin/Open") })%>
        </div>
    <% Html.EndForm(); %>    
    </div>
    
    <div class="epi-smallPadding pixlrgadget-rightArea">
        <div>
            <div id="imgField_<%= Model.GadgetId %>" class="pixlrgadget-previewImageField" style="width:<%= Model.Settings.PreviewSize %>px; height:<%= Model.Settings.PreviewSize %>px;">
                <span style="line-height:<%= Model.Settings.PreviewSize%>px;"><%= GadgetResources.PreviewMessage%></span>
            </div>
        </div>
        <div>
            <div><%= LanguageManager.Instance.Translate("/BearWare/PixlrPlugin/FileName")%> <span id="fileName_<%= Model.GadgetId %>">-</span></div>
            <div><%= LanguageManager.Instance.Translate("/BearWare/PixlrPlugin/FileSize")%> <span id="fileSize_<%= Model.GadgetId %>">0</span>kB</div>
            <div><%= LanguageManager.Instance.Translate("/BearWare/PixlrPlugin/Dimentions")%> <span id="dimentions_<%= Model.GadgetId %>">0px x 0px</span></div>
        </div>
    </div>

<script type='text/javascript' src="<%= EPiServer.UriSupport.ResolveUrlFromUtilBySettings("javascript/episerverscriptmanager.js") %>"></script>
<script type='text/javascript' src="<%= EPiServer.UriSupport.ResolveUrlFromUIBySettings("javascript/system.js") %>" ></script>  
<script type='text/javascript' src="<%= EPiServer.UriSupport.ResolveUrlFromUIBySettings("javascript/system.aspx") %>" ></script>
<script type="text/javascript" language="javascript">
    function SelectImageLink(gadgetid){
        var url = '<%= EPiServer.UriSupport.ResolveUrlFromUIBySettings("edit/FileManagerBrowser.aspx")%>?id=<%= Model.StartPageId %>&parent=<%= Model.StartPageParentId %>&folderid=<%= Model.StartPageFolderId %>';
        var linkAttributes = new Object();
        var dialogArguments = linkAttributes;
        var features = {width: 600, height: 412};
        var callbackArguments = new Object();
        callbackArguments.gadgetId = gadgetid;
        EPi.CreateDialog( url, OnFileDialogClosed, callbackArguments, dialogArguments, features);
    }
    
    function OnFileDialogClosed(returnValue, callbackArguments) {
        if (returnValue != undefined && returnValue != 0) {
            if (returnValue != -1) {                
                var divHeight = $("#imgField_" + callbackArguments.gadgetId).height();
                $.getJSON('<%= EPiServer.UriSupport.ResolveUrlBySettings("/Content/PixlrGadget/fileinfojson.aspx")%>?filepath=' + returnValue + '&gadgetid=' + callbackArguments.gadgetId,
                    function(data, textStatus) {
                        if (data.Error == undefined) {
                            $("#filePath_" + callbackArguments.gadgetId).val(returnValue);
                            $("#imgField_" + callbackArguments.gadgetId).html('<img src="' + returnValue + '" style="width:' + data.PreviewWidth + 'px; height:' + data.PreviewHeight + 'px; margin-top:' + (divHeight - data.PreviewHeight) / 2 + 'px;" alt="' + data.FileName + '" />');
                            $("#fileName_" + callbackArguments.gadgetId).text(data.FileName);
                            $("#fileSize_" + callbackArguments.gadgetId).text(data.FileSize);
                            $("#dimentions_" + callbackArguments.gadgetId).text(data.Width + "px x " + data.Height + "px");
                        }
                        else {
                            $("#feedbackArea_" + callbackArguments.gadgetId).html('<div class="epi-feedbackContent pixlrgadget-feedbackArea"><span>' + data.Error + '</span></div>');
                        }
                    });                
            }
            else {
                $("#filePath_" + callbackArguments.gadgetId).val("");
            }
        }
    }

    function SelectFolder(gadgetid) {
        var url = '/Content/PixlrGadget/FolderBrowserDialog.aspx';
        var dialogArguments = new Object();
        var features = { width: 400 };
        var callbackArguments = new Object();
        callbackArguments.gadgetId = gadgetid;
        EPi.CreateDialog(url, OnFolderBrowserDialogClosed, callbackArguments, dialogArguments, features);
    }

    function OnFolderBrowserDialogClosed(returnValue, callbackArguments) {
        if (returnValue != undefined && returnValue != 0) {
            $("#targetFolder_" + callbackArguments.gadgetId).val(returnValue.Path);
        }
    }
</script>
</div>